package com.yihu.jw.base.service.dict.importManage;


import com.yihu.jw.util.excel.ExcelUtil;
import com.yihu.jw.util.excel.Validation;
import com.yihu.jw.util.excel.annotation.Location;
import com.yihu.jw.util.excel.annotation.Row;
import com.yihu.jw.util.excel.annotation.Title;
import com.yihu.jw.util.excel.annotation.ValidRepeat;

import java.util.Map;
import java.util.Set;


@Row(start = 1)
public class BasDrugUseExcelDO extends ExcelUtil implements Validation {

    @Location(x=0)
    @ValidRepeat
    String supply_code;
    @Location(x=1)
    @ValidRepeat
    String supply_name;
    @Location(x=2)
    @ValidRepeat
    String  supply_occ;//
    @Location(x=3)
    @ValidRepeat
    String sort_code;//
    @Location(x=4)
    @ValidRepeat
    String print_name;
    @Location(x=5)
    @ValidRepeat
    String py_code;
    @Location(x=6)
    @ValidRepeat
    String d_code;//
    @Location(x=7)
    @ValidRepeat
    String yb_name;
    @Location(x=8)
    @ValidRepeat
    String yb_code;
    @Location(x=9)
    @ValidRepeat
    String status;

    public String getSupply_code() {
        return supply_code;
    }

    public void setSupply_code(String supply_code) {
        this.supply_code = supply_code;
    }

    public String getSupply_name() {
        return supply_name;
    }

    public void setSupply_name(String supply_name) {
        this.supply_name = supply_name;
    }

    public String getSupply_occ() {
        return supply_occ;
    }

    public void setSupply_occ(String supply_occ) {
        this.supply_occ = supply_occ;
    }


    public String getSort_code() {
        return sort_code;
    }

    public void setSort_code(String sort_code) {
        this.sort_code = sort_code;
    }

    public String getPrint_name() {
        return print_name;
    }

    public void setPrint_name(String print_name) {
        this.print_name = print_name;
    }

    public String getPy_code() {
        return py_code;
    }

    public void setPy_code(String py_code) {
        this.py_code = py_code;
    }

    public String getD_code() {
        return d_code;
    }

    public void setD_code(String d_code) {
        this.d_code = d_code;
    }

    public String getYb_name() {
        return yb_name;
    }

    public void setYb_name(String yb_name) {
        this.yb_name = yb_name;
    }

    public String getYb_code() {
        return yb_code;
    }

    public void setYb_code(String yb_code) {
        this.yb_code = yb_code;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    @Override
    public int validate(Map<String, Set> repeatMap) {
        int rs = 1;
        return rs;
    }
}
